﻿using FurnitureAssemblyDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FurnitureAssemblyContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string ShopName { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;

        public DateTime DateOpening { get; set; }

        public Dictionary<int, (IFurnitureModel, int)> Furnitures { get; set; } = new();

        public int MaxCount { get; set; }
        
        
    }
}
