﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FurnitureAssemblyDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Address { get; }
        DateTime DateOpening { get; }
        Dictionary<int, (IFurnitureModel, int)> Furnitures { get; }
        int MaxCount { get; }
    }
}
