﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FurnitureAssemblyDatabaseImplement.Models
{
    public class FurnitureComponent
    {
        public int Id { get; set; }
        [Required]
        public int FurnitureId { get; set; }
        [Required]
        public int ComponentId { get; set; }

        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Furniture Furniture { get; set; } = new();
    }
}
